#/bin/bash

# touchpad-tap.sh
# This program enables touchpad tapping on Debian GNU/Linux.
# Copyright (c) 2024, Scott C. MacCallum (scott@scm-guru.live).

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# To do. Add code to verify that the user is root, or has run the script with
# sudo. Add code to verify that the bc program is installed.

# Change this variable to the group that should be informed of a need to
# charge the battery. On GNU/Linux distributions users are often part of
# a group that is the same as their login name, which works well if you only
# want your user to be informed.

xinput list

xinput set-prop "Touchpad_Device_Name" "libinput Tapping Enabled" 1

exit 0
